From 5bc3a4ba239ae6c812a78707e1d00e9cca058a69 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Thu, 19 Aug 2021 20:47:58 +0200
Subject: qt5-build.eclass: Drop EAPI-7 support and obsolete quirks

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 eclass/qt5-build.eclass | 20 ++++++++------------
 1 file changed, 8 insertions(+), 12 deletions(-)

(limited to 'eclass/qt5-build.eclass')

diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index a0895e27abd9..8756d6e58497 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -6,7 +6,7 @@
 # qt@gentoo.org
 # @AUTHOR:
 # Davide Pesavento <pesa@gentoo.org>
-# @SUPPORTED_EAPIS: 7 8
+# @SUPPORTED_EAPIS: 8
 # @BLURB: Eclass for Qt5 split ebuilds.
 # @DESCRIPTION:
 # This eclass contains various functions that are used when building Qt5.
@@ -16,7 +16,7 @@ if [[ ${CATEGORY} != dev-qt ]]; then
 fi
 
 case ${EAPI} in
-	7|8) ;;
+	8) ;;
 	*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
 esac
 
@@ -105,9 +105,9 @@ SLOT=5/$(ver_cut 1-2)
 IUSE="debug test"
 
 if [[ ${QT5_BUILD_TYPE} == release ]]; then
-	RESTRICT+=" test" # bug 457182
+	RESTRICT="test" # bug 457182
 else
-	RESTRICT+=" !test? ( test )"
+	RESTRICT="!test? ( test )"
 fi
 
 BDEPEND="
@@ -175,9 +175,7 @@ qt5-build_src_configure() {
 		qt5_base_configure
 	fi
 	if [[ ${QT5_MODULE} == qttools ]]; then
-		if [[ ${EAPI} != 7 || -z ${QT5_TARGET_SUBDIRS[@]} ]]; then
-			qt5_tools_configure
-		fi
+		qt5_tools_configure
 	fi
 
 	qt5_foreach_target_subdir qt5_qmake
@@ -684,11 +682,9 @@ qt5_tools_configure() {
 	# allow the ebuild to override what we set here
 	myqmakeargs=( "${qmakeargs[@]}" "${myqmakeargs[@]}" )
 
-	if [[ ${EAPI} != 7 ]]; then
-		mkdir -p "${QT5_BUILD_DIR}" || die
-		qt5_qmake "${QT5_BUILD_DIR}"
-		cp qttools-config.pri "${QT5_BUILD_DIR}" || die
-	fi
+	mkdir -p "${QT5_BUILD_DIR}" || die
+	qt5_qmake "${QT5_BUILD_DIR}"
+	cp qttools-config.pri "${QT5_BUILD_DIR}" || die
 }
 
 # @FUNCTION: qt5_qmake_args
-- 
cgit v1.2.3-65-gdbad